INTERFACE
SUBROUTINE SLTEND2( KIDIA, KFDIA, KLON, KLEV, KTEND,&
 & KSTEP, KSTART,&
 & PT, PQ, PL, PI, PA,&
 & PTENU, PTENV, PTENT, PTENQ, PTENO3, PTENL, PTENI, PTENA,&
 & PPHTENU, PPHTENV, PPHTENT, PPHTENQ, PPHTENO3, PPHTENA,&
 & PSAVTEND,PGFLSLP,PGMVT1S) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : YGFL,YQ, YO3, YL, YI, YA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTEND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSAVTEND(KLON,KLEV,KTEND)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLSLP(KLON,KLEV,YGFL%NDIMSLP)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVT1S(KLON)
END SUBROUTINE SLTEND2
END INTERFACE
